Get Hashprice
> **/hashprice** has rate limitation: > > Initially, the API allows for a burst of **20 requests**, and afterward, it gradually restores **1 request every 15 seconds until reaching the maximum allowable limit of 20**. > This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources. ## Hash Price Retrieval This endpoint provides the current **price per hash unit** for mining Bitcoin, allowing users to understand the real-time profitability and cost-effectiveness of mining operations. The response includes the price in the specified currency and per the specified hash unit, adjusted for the defined time span and aggregation bucket. ##### Valid Span-Bucket Combinations with Default Bucket | Span | Bucket (Default) | |:------|:---------------------| | 1D | 15s (Diamond Tier), (**5m**), 15m | | 7D | (**1H**) | | 1M | (**1H**), 2H | | 3M | (**1H**), 6H | | 1Y | (**6H**) | | 5Y | (**6H**), 1D | | ALL | (**7D**) | (**X**) -> default bucket for the span
Authorization
X-Hi-Api-Key<token>In: header
Query Parameters
spanstringTime span
"1M"Value in: "1D" | "7D" | "1M" | "3M" | "1Y" | "5Y" | "ALL"bucketstring"15s" | "5m" | "15m" | "1H" | "2H" | "6H" | "1D" | "7D"currencyRequiredstringCurrency
"USD" | "BTC"hashunitRequiredstringCurrency
"PHS" | "THS"OK